C 
C
      SUBROUTINE MAP_CRYSTAL_TENSOR2(F,G,AP,CP)
      REAL F(9),G(9),AP,CP
      INTEGER I
C
C Calculates the metric tensor and its inverse for a
C TETRAGONAL crystal structure.
C
C The metric tensor F converts the components from reciprocal to
C  real space. 
C The metric tensor G converts the components from real to reciprocal
C  space, and G is the inverse of F and vice-versa.
C
C Adapted from subroutine CRYSTAL of the interactive program MAP_CRYSTAL_PROGRAM.
C
C
      DO 20 I=1,9
      G(I)=0.0D+00
      F(I)=0.0D+00
 20   CONTINUE
C
          CALL MAP_CRYSTAL_MET2(G,AP,CP)
          CALL MAP_UTIL_INVERS(F,G)

C
       RETURN
       END
